Bug 646199 - starting x or switching from vt to x with radeon often brings down kernel [NEEDINFO]
starting x or switching from vt to x with radeon often brings down kernel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
i686 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-24 19:35 EDT by Anthony Schmidt
Modified: 2014-06-17 14:50 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-17 14:50:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
airlied: needinfo? (anthony)


Attachments (Terms of Use)
full dmesg including crash at end (72.62 KB, text/plain)
2010-10-24 19:35 EDT, Anthony Schmidt
no flags Details

  None (edit)
Description Anthony Schmidt 2010-10-24 19:35:36 EDT
Created attachment 455375 [details]
full dmesg including crash at end

Description of problem:
Often when starting the X server or switching from a VT to the X server, the screen blanks (power saving mode), the kernel crashes, and the only option is SysRq+B or powering off.

Version-Release number of selected component (if applicable):
kernel-2.6.36-1.fc15.i686
xorg-x11-drv-ati-6.13.1-0.4.20100705git37b348059.fc15.i686

How reproducible:
25% of time I start X or switch to X from a VT.

Steps to Reproduce:
1. boot
2. startx or switch to a VT and then back to X
  
Actual results:
Kernel crashes and system will not respond to anything except SysRq

Expected results:
X works

Additional info:
Linux mediaroom1 2.6.36-1.fc15.i686 #1 SMP Thu Oct 21 04:49:22 UTC 2010 i686 i686 i386 GNU/Linux

00:00.0 Host bridge: VIA Technologies, Inc. CN700/VN800/P4M800CE/Pro Host Bridge
        Subsystem: VIA Technologies, Inc. CN700/VN800/P4M800CE/Pro Host Bridge
        Flags: bus master, 66MHz, medium devsel, latency 8
        Memory at f0000000 (32-bit, prefetchable) [size=128M]
        Capabilities: [80] AGP version 3.5
        Capabilities: [50] Power Management version 2
        Kernel driver in use: agpgart-via

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R350 [Radeon 9800 Pro] (prog-if 00 [VGA controller])
        Subsystem: ATI Technologies Inc Device 0002
        Flags: bus master, stepping, 66MHz, medium devsel, latency 64, IRQ 16
        Memory at e8000000 (32-bit, prefetchable) [size=128M]
        I/O ports at bc00 [size=256]
        Memory at fdef0000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at fdec0000 [disabled] [size=128K]
        Capabilities: [58] AGP version 3.0
        Capabilities: [50] Power Management version 2
        Kernel driver in use: radeon
        Kernel modules: radeon, radeonfb

01:00.1 Display controller: ATI Technologies Inc Radeon R350 [Radeon 9800 Pro] (Secondary)
        Subsystem: ATI Technologies Inc Device 0003
        Flags: stepping, 66MHz, medium devsel
        Memory at e0000000 (32-bit, prefetchable) [disabled] [size=128M]
        Memory at fdee0000 (32-bit, non-prefetchable) [disabled] [size=64K]
        Capabilities: [50] Power Management version 2
Comment 1 Anthony Schmidt 2010-11-14 18:45:00 EST
Problem still exists on:
xorg-x11-drv-ati-6.13.2-0.1.20101109git0c2834e67.fc15.i686
xorg-x11-server-Xorg-1.9.1-3.fc15.i686

I have narrowed this problem down; it is only able to reproduced in a dual-screen setup. I have two monitors attached to my Radeon 9800 and when booting with either only the VGA one or only the DVI one connected, I'm not able to reproduce the problem (I can start/exit X over and over again without crashes).

Output from startx (standard error / standard output) doesn't get very far before the crash occurs.

X.Org X Server 1.9.1
Release Date: 2010-10-22
X Protocol Version 11, Revision 0
Build Operating System: x86-15 2.6.32-72.el6.bz634452.x86_64
Current Operating System: Linux mediaroom1 2.6.36-1.fc15.i686 #1 SMP Thu Oct 21 04:49:22 UTC 2010 i686
Kernel command line: ro root=UUID=07816676-cc48-449e-92fa-52868d6e346c LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEY$
Build Date: 09 November 2010  08:14:58PM
Build ID: xorg-x11-server 1.9.1-3.fc15
Current version of pixman: 0.20.0
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Nov 14 13:18:19 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(II) [KMS] Kernel modesetting enabled.
, 0x70, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x6f, 0x69, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x68, 0x4d, 0x0, 0x7, 0x40, 0x0, 0x0, 0x0, 0x0, 0x93, 0x42, 0x3, 0x1, 0x0, 0x0, 0x0, 0x0, 0x0, 0x45

And that's it. I tried rebooting with radeon.modeset=0 but in this case, X won't even start (segfaults immediately) no matter which monitors are attached. I don't know if booting without KMS is even supported anymore but I thought I'd try it.
Comment 2 Dave Airlie 2011-03-20 23:42:11 EDT
can you try with a later kernel please?

and if it still fails, can you boot with drm.debug=4 and aattach it.

also can you try with radeon.agpmode=4 or radeon.agpmode=-1
Comment 3 Fedora End Of Life 2013-04-03 15:10:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.